Demonstration of a possible layout to have more SquareLine Studio project exports in one build.

The 1st screen has a blue button, the 2nd screen is made with a red button.
The main executable initializes both screens, then switches between them cyclically.

The compound 'ui' folder was created by:
-Creating and exporting the first project normally into 'ui' folder.
-Creating the 2nd project by putting an 'ui2' prefix before all the created screens/widgets etc in the 2nd project.
-Exporting the 2nd project and copying the ui_ui2_Screen1.c file into the 'ui/screens' folder of the first project
-Copying ui.c and ui.h renamed ui2.c and ui2.h versions into the 'ui' folder of first project
-Renaming _SQUARELINE_PROJECT_UI_H guard to _SQUARELINE_PROJECT_UI2_H in ui/ui2.h file
-Renaming ui_init to ui2_init in ui2.c and ui2.h files
-Adding ui2.c to ui/CMakeLists.txt and ui/filelist.txt files
-Renaming 'ui.h' includes in ui/screens/ui_ui2_Screen1.c and ui/ui2.c
-Adding #include "ui/ui2.h" into main.c  ( and calling ui2_init() call beside ui_init() call )
-Removing initial_actions from ui2.c and ui2.h to avoid it being duplicated

(If components, events, themes, etc. are created in the projects, similar separations should be made in them too.)

This result can be built with CMake if SDL2 development library is present and set in the operating system.
(Might be buildable in VS-Code with CMake extension, and Eclipse.)
(Shell scripts 'build.sh' and 'run.sh' are convenience scripts for one-click building and running for Unix systems.)

